VIEWIMG_CREATE_SEQUENCE_FROM_IARRAY(3)

FUNCTION
viewimg_create_sequence_from_iarray - Create a sequence of viewable images from an Intelligent Array.

SYNOPSIS
#include <karma_viewimg.h>

ViewableImage * viewimg_create_sequence_from_iarray

(KWorldCanvas canvas, iarray array, unsigned int hdim, unsigned int vdim, unsigned int fdim)

DESCRIPTION
This routine will create a sequence of viewable image objects from a 3-dimensional Intelligent Array. At a later time, this sequence of viewable images may be made visible in any order. This routine will not cause the canvas to be refreshed.

canvas
    The world canvas object.

array
    The Intelligent Array. The underlying <<multi_array>> data structure will have its attachment count incremented upon successful completion.

hdim
    The dimension index of the horizontal dimension.

vdim
    The dimension index of the vertical dimension.

fdim
    The dimension index of the frame dimension (dimension containing the sequence). The number of frames is the same as the length of this dimension.

RETURN VALUE
A pointer to a dynamically allocated array of viewable image objects on success, else NULL.

Multi-threading Level
Unsafe.

NOTES
The routine may produce cache data which will vastly increase the speed of subsequent operations on this data. Prior to process exit, a call MUST be made to <-viewimg_destroy->, otherwise shared memory segments could remain after the process exits.

The ViewableImage objects will be automatically destroyed if the canvas is destroyed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/